Tair = 35;
%%%%%%%%% Coefficients for wall parameters
loss_terms = 'birk'; % maeda, birk or mokh
switch loss_terms
    case 'maeda' % %% From Maeda
        wall_resi = 1600;	%/* wall resistance, gm/s/cm2		*/
        wall_mass = 1.5;	%/* wall mass per area, gm/cm2		*/
        wall_comp = 3.0e5;	%/* wall compliance			*/
    case 'birk' % %%%% From Birkholz
        wall_resi = 8e3;	%/* wall resistance, gm/s/cm2		*/
        wall_mass = 21e0;	%/* wall mass per area, gm/cm2		*/
        wall_comp = 8.45e6;	%/* wall compliance			*/
    case 'mokh' %%%% From Mokhtari
        wall_resi = 14e3;	%/* wall resistance, gm/s/cm2		*/
        wall_mass = 15e0;	%/* wall mass per area, gm/cm2		*/
        wall_comp = 3e6;	%/* wall compliance			*/
end

const.fs = 2e4;
const.tm = 1;
const.tcl = 0.01;
const.namp = 1e-7;
const.dispcomp = 1;
const.wallyield = 1;
const.dynterm = 1;
const.wr = wall_resi;
const.wm = wall_mass;
const.wc = wall_comp;
const.rho = 1.2929*(1 - 0.0037*Tair);
const.c = 331.45*(1 + 0.0018*Tair);
const.mu = 1.85*10^(-5);
const.lg = 0.01;
const.Xg = 0.3*1e-2;
const.kc = 1.42;
const.dist_source = 2; % Gaussian noise
const.fh = 0.2e3; % Cut-off frequency for high-pass filter
const.fl = 4e3; % Cut-off frequency for low-pass filter
const.ordh = 1; % Order of high-pass filter
const.ordl = 7; % Order of low-pass filter
const.bf = [0.9 0.1 -0.8]; 
const.af = 1;
const.K_b = const.kc*const.rho;
const.Lord = 50e-3;
const.Rec = 1.7e3; % Reynolds threshold for frication noise generation
const.G = 9/128;
const.S = 3/8;
const.sep = 1.2;
const.filt = 'fir1';
const.blim = 0;
const.beta = 5e-8;
const.nmass = 2;
const.amin = 1e-11;
const.model = 'ishi';