function y = timedewarping( x, l, nfft, fs )
% Frequency warping correction of simulated running speech 
% warning off
const.c =  352.3313;
fny = fs/2;
nf2 = nfft;%2^nextpow2(fs);
x = x(:);
l1 = [ zeros(nfft/2,1); l(:) ; zeros(nfft/2,1) ];
x1 = [ zeros(nfft/2,1); x ; zeros(nfft/2,1) ];
y = zeros(size(x1));
nx = length(x1);
dw = nfft/4;
nl = floor(nx/dw)-floor((nfft-dw)/dw);
L = nf2/2+1;
fr = (-L+1:L-2)*fs/nf2; % frtt = fr;
w = hamming(nfft,'periodic');
W0 = sum(w.^2); 
% if fso ~= fs; 
%     b1 = fir1(101,fnyo/fny,'low');
%     x1 = filtfilt(b1,1,x1);
% end
for k = 1:nl
    tt = zeros(size(y));
    ytt = tt;
    
    ib = (k-1)*dw+1;
    ie = ib+nfft-1;
    xt = x1(ib:ie).*w(:);
    lwt = l1(ib:ie); lwt = lwt(lwt>0);
    lw = mean(lwt);
    yt = fftshift(fft(xt, nf2));    
    frw = real(const.c/pi/lw*asin(lw/const.c/(1/fs)*tan(pi/fs*fr)));
    fr2 = frw;
    fnyon = -fny/3; fnyop = fny/3;
    i1 = find(frw <= fnyon);
    i2 = find(frw >=  fnyop);
    fr2(i1) = interp1([1 i1(end)], [ -fny fnyon ],i1);
    fr2(i2) = interp1([i2(1) i2(end)], [ fnyop fny ],i2);
    frdw = fr2; clear fr2
    fr2 = linspace(frdw(1),frdw(end),length(frdw));  
    y2 = interp1(frdw, yt, fr2);  
    yts = ifftshift(y2);
    if isinf(yts(1)) || isnan(yts(1));  yts(1) = yts(2); end
    xti = ifft(yts,'symmetric')*sqrt(length(yts));
    tt(ib:ie) = xt/(nf2/W0);
    ytt(ib:ie) = xti(1:nfft);
    y = y+ytt;
end
y([1:nfft/2 end-nfft/2+1:end]) = [];
end




